loci.formats.in

## Enum BaseZeissReader.Charset

- java.lang.Object
- - java.lang.Enum<BaseZeissReader.Charset>
  - - loci.formats.in.BaseZeissReader.Charset

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<BaseZeissReader.Charset>
  Enclosing class:
    BaseZeissReader

      static enum BaseZeissReader.Charset
      extends java.lang.Enum<BaseZeissReader.Charset>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ANSI`
    `ARABIC_CHARSET`
    `BALTIC_CHARSET`
    `CHINESEBIG5_CHARSET`
    `EASTEUROPE_CHARSET`
    `GB2313_CHARSET`
    `GREEK_CHARSET`
    `HANGUL_CHARSET`
    `HEBREW_CHARSET`
    `MAC_CHARSET`
    `RUSSIAN_CHARSET`
    `SHIFTJIS_CHARSET`
    `THAI_CHARSET`
    `TURKISH_CHARSET`
    `VIETNAMESE_CHARSET`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private static java.util.Map<java.lang.Integer,BaseZeissReader.Charset>` | `lookup`
    `(package private) java.lang.String` | `name`
    `private int` | `value`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static BaseZeissReader.Charset` | `get(int value)`
    `java.lang.String` | `getName()`
    `int` | `getValue()`
    `static BaseZeissReader.Charset` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static BaseZeissReader.Charset[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### ANSI

          public static final BaseZeissReader.Charset ANSI

    - #### MAC_CHARSET

          public static final BaseZeissReader.Charset MAC_CHARSET

    - #### SHIFTJIS_CHARSET

          public static final BaseZeissReader.Charset SHIFTJIS_CHARSET

    - #### HANGUL_CHARSET

          public static final BaseZeissReader.Charset HANGUL_CHARSET

    - #### GB2313_CHARSET

          public static final BaseZeissReader.Charset GB2313_CHARSET

    - #### CHINESEBIG5_CHARSET

          public static final BaseZeissReader.Charset CHINESEBIG5_CHARSET

    - #### GREEK_CHARSET

          public static final BaseZeissReader.Charset GREEK_CHARSET

    - #### TURKISH_CHARSET

          public static final BaseZeissReader.Charset TURKISH_CHARSET

    - #### VIETNAMESE_CHARSET

          public static final BaseZeissReader.Charset VIETNAMESE_CHARSET

    - #### HEBREW_CHARSET

          public static final BaseZeissReader.Charset HEBREW_CHARSET

    - #### ARABIC_CHARSET

          public static final BaseZeissReader.Charset ARABIC_CHARSET

    - #### BALTIC_CHARSET

          public static final BaseZeissReader.Charset BALTIC_CHARSET

    - #### RUSSIAN_CHARSET

          public static final BaseZeissReader.Charset RUSSIAN_CHARSET

    - #### THAI_CHARSET

          public static final BaseZeissReader.Charset THAI_CHARSET

    - #### EASTEUROPE_CHARSET

          public static final BaseZeissReader.Charset EASTEUROPE_CHARSET

  - ### Field Detail

    - #### lookup

          private static final java.util.Map<java.lang.Integer,BaseZeissReader.Charset> lookup

    - #### value

          private int value

    - #### name

          java.lang.String name

  - ### Method Detail

    - #### values

          public static BaseZeissReader.Charset[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (BaseZeissReader.Charset c : BaseZeissReader.Charset.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static BaseZeissReader.Charset valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getValue

          public int getValue()

    - #### getName

          public java.lang.String getName()

    - #### get

          public static BaseZeissReader.Charset get(int value)

Copyright © 2026 Open Microscopy Environment